Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Class StatusType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rim.StatusType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class StatusType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Status Type', and utility methods for working with them.

See Also:
  `RimPackage.getStatusType()`

Field Summary
`static int` | `APPROVED` The 'Approved' literal value.
`static StatusType` | `APPROVED_LITERAL` The 'Approved' literal object.
`static int` | `DEPRECATED` The 'Deprecated' literal value.
`static StatusType` | `DEPRECATED_LITERAL` The 'Deprecated' literal object.
`static int` | `SUBMITTED` The 'Submitted' literal value.
`static StatusType` | `SUBMITTED_LITERAL` The 'Submitted' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Status Type' enumerators.
`static int` | `WITHDRAWN` The 'Withdrawn' literal value.
`static StatusType` | `WITHDRAWN_LITERAL` The 'Withdrawn' literal object.

Method Summary
`static StatusType` | `get(int value)` Returns the 'Status Type' literal with the specified integer value.
`static StatusType` | `get(java.lang.String literal)` Returns the 'Status Type' literal with the specified literal value.
`static StatusType` | `getByName(java.lang.String name)` Returns the 'Status Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUBMITTED

    public static final int SUBMITTED

  The 'Submitted' literal value.

  If the meaning of 'Submitted' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBMITTED_LITERAL`, Constant Field Values

### APPROVED

    public static final int APPROVED

  The 'Approved' literal value.

  If the meaning of 'Approved' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APPROVED_LITERAL`, Constant Field Values

### DEPRECATED

    public static final int DEPRECATED

  The 'Deprecated' literal value.

  If the meaning of 'Deprecated' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEPRECATED_LITERAL`, Constant Field Values

### WITHDRAWN

    public static final int WITHDRAWN

  The 'Withdrawn' literal value.

  If the meaning of 'Withdrawn' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WITHDRAWN_LITERAL`, Constant Field Values

### SUBMITTED_LITERAL

    public static final StatusType SUBMITTED_LITERAL

  The 'Submitted' literal object.

  See Also:
    `SUBMITTED`

### APPROVED_LITERAL

    public static final StatusType APPROVED_LITERAL

  The 'Approved' literal object.

  See Also:
    `APPROVED`

### DEPRECATED_LITERAL

    public static final StatusType DEPRECATED_LITERAL

  The 'Deprecated' literal object.

  See Also:
    `DEPRECATED`

### WITHDRAWN_LITERAL

    public static final StatusType WITHDRAWN_LITERAL

  The 'Withdrawn' literal object.

  See Also:
    `WITHDRAWN`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Status Type' enumerators.

Method Detail

### get

    public static StatusType get(java.lang.String literal)

  Returns the 'Status Type' literal with the specified literal value.

### getByName

    public static StatusType getByName(java.lang.String name)

  Returns the 'Status Type' literal with the specified name.

### get

    public static StatusType get(int value)

  Returns the 'Status Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD